=== debian/changelog ===
git-subrepo (0.4.6-1) unstable; urgency=medium

  * Initial release. (Closes: #911397)

 -- Samo Pogačnik <samo_pogacnik@t-2.net>  Fri, 21 Jun 2024 14:12:22 +0000
