=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PREFIX=/usr
export INSTALL_LIB=$(DESTDIR)/usr/share/git-subrepo
export INSTALL_EXT=$(INSTALL_LIB)

%:
	dh $@ \
	  -Smakefile --with=bash-completion

## TODO: Tests cause unclean buildtree
override_dh_auto_test:
	true
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	make test
#endif

override_dh_installchangelogs:
	dh_installchangelogs Changes
