## git-subrepo 0.4.9

=== Makefile ===
--- 
+++ 
@@ -22,16 +22,16 @@
 INSTALL_MAN1 ?= $(DESTDIR)$(PREFIX)/share/man/man1
 
 # Docker variables:
-DOCKER_TAG ?= 0.0.4
+DOCKER_TAG ?= 0.0.6
 DOCKER_IMAGE := ingy/bash-testing:$(DOCKER_TAG)
 BASH_VERSIONS ?= 5.1 5.0 4.4 4.3 4.2 4.1 4.0
 DOCKER_TESTS := $(BASH_VERSIONS:%=docker-test-%)
-GIT_VERSIONS := 2.29 2.25 2.17 2.7
+GIT_VERSIONS := 2.45 2.40 2.30 2.29 2.25 2.17 2.7
 
 prove ?=
 test ?= test/
-bash ?= 5.0
-git ?= 2.29
+bash ?= 5.1
+git ?= 2.45
 
 # Basic targets:
 default: help
@@ -63,7 +63,7 @@
 	install -d -m 0755 $(INSTALL_LIB)/
 	install -C -m 0755 $(LIB) $(INSTALL_LIB)/
 	install -d -m 0755 $(INSTALL_EXT)/
-	install -C -m 0755 $(EXTS) $(INSTALL_EXT)/
+	install -C -m 0644 $(EXTS) $(INSTALL_EXT)/
 	install -d -m 0755 $(INSTALL_MAN1)/
 	install -C -m 0644 $(MAN1)/$(NAME).1 $(INSTALL_MAN1)/
 
@@ -106,7 +106,7 @@
 	rm -fr tmp test/tmp
 
 define docker-make-test
-	docker run -i -t --rm \
+	docker run --rm \
 	    -v $(PWD):/git-subrepo \
 	    -w /git-subrepo \
 	    $(DOCKER_IMAGE) \
