=== debian/changelog ===
git-subrepo (0.4.9-2) unstable; urgency=medium

  * Reordered and rewritten existing patches (Closes: #1078960)
  * Added patches to fix upstream PR checks:
    - 0005-Fixing-shellcheck-errors-found-during-docker-test.patch
    - 0006-Fixing-tests-running-on-macos-github.patch
  * Added patch to set project-wide ff_only git-config for pull and merge
    during tests:
    - 0007-Set-project-wide-ff_only-git-config-for-pull-and-mer.patch
  * Added patch to fix git-subrepo command and its tests, when ff=only is
    set in git-config:
    - 0008-Fixed-git-subrepo-and-tests-if-set-ff_only.patch
  * d/control: update Standards-Version to 4.7.0
  * d/control: bump debhelper compat level to 13
  * d/control: added Multi-Arch: same
  * Acknowledge the previous upload (Closes: #1081945)
  * d/copyright: extended copyright year for debian/* files
  * Added d/upstream/metadata

 -- Samo Pogačnik <samo_pogacnik@t-2.net>  Sun, 16 Feb 2025 19:37:05 +0000

git-subrepo (0.4.9-1) unstable; urgency=medium

  * Updated debian/patches against 0.4.9 upstream
  * Fixed broken test in 0.4.9 upstream release

 -- Samo Pogačnik <samo_pogacnik@t-2.net>  Wed, 23 Oct 2024 19:53:02 +0000

git-subrepo (0.4.6-2) unstable; urgency=medium

  [ Samo Pogačnik ]
  * Allow running tests outside Makefile
  * d/rules: re-enabled upstream testsuite
  * d/rules: moving/restoring binary test repos
  * Disabling any system/global GIT configuration for tests
  * d/rules: added option for verbose tests execution

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 12 Oct 2024 16:47:41 +0200
