=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\.[0-9.]+)\.tar\.gz/git-subrepo-$1\.tar\.gz/ \
  https://github.com/ingydotnet/git-subrepo/tags .*/(\d\.[0-9.]+)\.tar\.gz
